[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'FPimage' (#fcl)

# TFPPalette.Add

Add the given color to the palette, and return its palette index.

## Declaration

Source position: fpimage.pp line 86

`public function TFPPalette.Add(`
`const Value: TFPColor`
`):Integer; virtual;`

## Description

Duplicate colors are ignored, and the index of the already existing color entry is returned.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .